Two pane AJAX submit does not work
Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2531

  

Description

When we submit a form opened in two-pane, you can see JS error in JS console complaining about illegal invocation of append

method on object that does not implement FormData interface. Since the JS fails, normal form submit continues and reloads the

whole page. We have to turn off data processing.

Related issues:

Related to Foreman - Feature #8526: two_pane form does not serialize file upl... Closed 11/27/2014

Associated revisions

Revision 17dffb02 - 07/27/2015 11:02 AM - Marek Hulán

Fixes #11062 - do not process data when FormData is used

History

#1 - 07/09/2015 08:07 AM - Marek Hulán

- Related to Feature #8526: two_pane form does not serialize file upload when submitted added

#2 - 07/09/2015 08:13 AM - Marek Hulán

More information can be found at http://stackoverflow.com/questions/6974684/how-to-send-formdata-objects-with-ajax-requests-in-jquery and 

http://api.jquery.com/jquery.ajax/

#3 - 07/09/2015 08:17 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2531 added

- Pull request deleted ()

#4 - 07/27/2015 11:02 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#5 - 07/27/2015 12:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 17dffb02f2becbe79a0bbf485a3ac3cf003f7e41.
